﻿@model DataLayer.Model.Category
@using DataLayer.Model.Enums
@{
    ViewData["Title"] = "تسک های من";
    Layout = "~/Views/Shared/_AccountLayout.cshtml";
    List<DataLayer.Model.Category> cat = ViewBag.categorys as List<DataLayer.Model.Category>;
    List<DataLayer.Model.Category> subcat = ViewBag.subcategory as List<DataLayer.Model.Category>;
    List<DataLayer.Model.Task> task = ViewBag.showtask as List<DataLayer.Model.Task>;
    List<DataLayer.Model.Task> tomorrow = ViewBag.tomorrowtask as List<DataLayer.Model.Task>;
}


<div class="card shadow-sm mt-3">
    <div class="row">
        <div class="col-lg-6 col-md-6 col-sm-6">
            <!-- Button trigger modal -->
            <button type="button" class="btn btn-primary m-2" data-toggle="modal" data-target="#exampleModalCenter">
                افزودن تسک
            </button>
        </div>
        <div class="col-lg-6 col-md-6 col-sm-6"></div>
    </div>
</div>




<div class="card shadow-sm mt-3">
    <div class="card-header">
        <div class="row">
            <div class="col-6 text-left">
                <h5>تسک های امروز</h5>
            </div>
            <div class="col-6 text-right">
                <a asp-controller="Home" asp-action="ShowAllTask" class="text-right">مشاهده همه </a>
            </div>
        </div>
    </div>


    <div class="row p-4">
        @foreach (var item in task)
        {
            <div class="col-lg-5 col-md-6 col-sm-8 col-xs-12 mt-2">
                <div class="card text-light bg-secondary">
                    <div class="card-header">

                        <div class="row">
                            <div class="col-lg-8 col-md-8 col-sm-8 text-left"> @item.Name</div>
                            <div class="col-lg-4 col-md-4 col-sm-4 text-right">
                                <a asp-controller="Home" asp-action="EditTask" asp-route-id="@item.TaskId"  class="text-success" >
                                    ویرایش
                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="card-title">
                            @if (item.IsDone == @IsDoneEnum.isdone)
                            {
                                <div class="text-success">انجام شده</div>
                            }
                            else
                            {
                                <div class="text-danger">انجام نشده</div>
                            }

                        </div>

                        @item.Description
                    </div>
                </div>
            </div>
        }



    </div>

</div>




<div class="card shadow-sm mt-3">
    <div class="card-header">
        <div class="row">
            <div class="col-6 text-left">
                <h5>تسک های فردا</h5>
            </div>
            <div class="col-6 text-right">
                <a asp-controller="Home" asp-action="ShowTaskTomorrow" class="text-right">مشاهده همه </a>
            </div>
        </div>
    </div>


    <div class="row p-4">
        @foreach (var item in tomorrow)
        {
            <div class="col-lg-5 col-md-6 col-sm-8 col-xs-12 mt-2">
                <div class="card text-light bg-secondary">
                    <div class="card-header">

                        <div class="row">
                            <div class="col-lg-8 col-md-8 col-sm-8 text-left"> @item.Name</div>
                            <div class="col-lg-4 col-md-4 col-sm-4 text-right">
                                <a asp-controller="Home" asp-action="EditTask" asp-route-id="@item.TaskId" class="text-success">
                                    ویرایش
                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="card-title">
                            @if (item.IsDone == @IsDoneEnum.isdone)
                            {
                                <div class="text-success">انجام شده</div>
                            }
                            else
                            {
                                <div class="text-danger">انجام نشده</div>
                            }

                        </div>

                        @item.Description
                    </div>
                </div>
            </div>
        }



    </div>

</div>

<!-- Modal Add Task -->
<!-- Modal -->
<div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLongTitle">ثبت تسک جدید</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <partial name="_AddTask" />
            </div>

        </div>
    </div>
</div>





@section srcript{




    <script>
        $(".category").change(function () {
            $(".subcategory").empty();
            $.getJSON("/GetSubGroup/" + $(".category :selected").val(),
                function (data) {

                    $.each(data,
                        function () {
                            $(".subcategory").append('<option value=' + this.categoryid + '>' + this.title + '</option>');

                        });
                });


        });
    </script>




    


}